Tecnologia e non solo

giugno 5, 2007

OpenOffice 2.2.1: nuova rc su Debian Sid.

Filed under: Debian,Sid — telperion @ 11:18 am

Disponibile un aggiornamento su Debian Sid di OOo,
marcato 2.2.1~rc3-3 (7 giugno)

Aggiornamento del 6 giugno:
Rilasciati alcuni pacchetti in versione la 2.2.1~rc3-2
che risolvono il problema della lingua.
Se avevate bloccato i pacchetti, sbloccateli
e procedete tranquillamente all’aggiornamento.

Se lo installate vi ritroverete con OOo in inglese,
ed il downgrade è relativamente complesso.
Vi consiglio di usare la funzione blocca versione
sui 3 pacchetti:

openoffice.org-base
openoffice.org-common
openoffice.org-core

che vi salvaguarda dall’upgrade
in attesa di una nuova versione.

Se avete già fatto l’upgrade e volete tornare indietro,
l’operazione è possibile solo se in /var/cache/apt/archives
avete ancora i pacchetti precedenti.
Verificate con:

ls /var/cache/apt/archives/*2.2.1~rc1*

di avere:

mc@debian:~$ ls /var/cache/apt/archives/*2.2.1~rc1*
/var/cache/apt/archives/openoffice.org_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-base_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-calc_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-common_2.2.1~rc1-1_all.deb
/var/cache/apt/archives/openoffice.org-core_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-draw_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-filter-binfilter_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-filter-mobiledev_2.2.1~rc1-1_all.deb
/var/cache/apt/archives/openoffice.org-gnome_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-gtk_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-help-it_2.2.1~rc1-1_all.deb
/var/cache/apt/archives/openoffice.org-impress_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-java-common_2.2.1~rc1-1_all.deb
/var/cache/apt/archives/openoffice.org-l10n-it_2.2.1~rc1-1_all.deb
/var/cache/apt/archives/openoffice.org-math_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/openoffice.org-style-andromeda_2.2.1~rc1-1_all.deb
/var/cache/apt/archives/openoffice.org-style-tango_2.2.1~rc1-1_all.deb
/var/cache/apt/archives/openoffice.org-writer_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/python-uno_2.2.1~rc1-1_i386.deb
/var/cache/apt/archives/ttf-opensymbol_2.2.1~rc1-1_all.deb

i 20 pacchetti.
Se li avete da amministratore (root/sudo/su) io uso sudo:

sudo dpkg -r --force-all openoffice.org-core
sudo dpkg -r --force-all openoffice.org-base

Poi date 2volte il comando

sudo dpkg -i /var/cache/apt/archives/*2.2.1~rc1*

e alla fine verificate che sia tutto ok con

sudo apt-get install -f

A questo punto bloccate i 3 pacchetti citati,
l’aggiornamento vi avanzerà alcuni pacchetti di OOo minori
che potete aggiornare senza problemi.

Quando esce una nuova versione,
sbloccate la versione dei 3 pacchetti bloccati
e aggiornate.

3 commenti

  1. Hanno risolto, appena installato gli aggiornamenti ed è tutto tornato alla normalità😉

    Commento di imu — giugno 6, 2007 @ 2:16 pm

  2. Ho visto, appena aggiornato, grazie imu.

    Commento di telperion — giugno 6, 2007 @ 4:13 pm

  3. E’ possibile anche usare i pacchetti di http://snapshot.debian.net/ per downgradare.

    Commento di Ahren — giugno 30, 2007 @ 10:49 am


RSS feed for comments on this post.

Blog su WordPress.com.

%d blogger cliccano Mi Piace per questo: